/*
 * RSH - Robte si hocičo
 *
 * Ktokoľvek a čokoľvek smie kopírovať, upravovať, zverejňovať,
 * používať, kompilovať, predávať a šíriť toto dielo
 * a všetky jeho časti v akejkoľvek podobe na akékoľvek účely,
 * komerčné a nekomerčné, bez akýchkoľvek obmedzení,
 * bez dodržiavania akýchkoľvek podmienok
 * a akýmikoľvek prostriedkami.
 *
 * Jeder und alles darf kopieren, bearbeiten, veröffentlichen,
 * verwenden, kompilieren, verkaufen und verbreiten dieses Werk
 * und alle seine Teile in irgendeiner Form für irgendeinen Zweck,
 * kommerziell und nichtkommerziell, ohne Beschränkungen,
 * ohne irgendwelche Bedingungen einzuhalten
 * und mit allen Mitteln.
 *
 * Anyone and anything may copy, edit, publish,
 * use, compile, sell and distribute this work
 * and all its parts in any form for any purpose,
 * commercial and non-commercial, without any restrictions,
 * without complying with any conditions
 * and by any means.
 */

#include "kamera.h"

#include <math.h>

#include "vektor.h"

void kameraInic(KAMERA *kamera, VEKTOR *poz, VEKTOR *rot, VEKTOR *div)
{
    kamera->poz = *poz;
    kamera->rot = *rot;
    kamera->div = *div;
    kameraPredpocshiitaj(kamera);
}

void kameraPredpocshiitaj(KAMERA *kamera)
{
    kamera->siin.x = sin(kamera->rot.x);
    kamera->siin.y = sin(kamera->rot.y);
    kamera->siin.z = sin(kamera->rot.z);
    kamera->kos.x = cos(kamera->rot.x);
    kamera->kos.y = cos(kamera->rot.y);
    kamera->kos.z = cos(kamera->rot.z);
}
